Page MenuHomePhabricator

Give advance renewal notice for partners with fixed account lengths
Closed, ResolvedPublic

Description

This can be the base of the proxy version of this feature (T169204) - for some partners (e.g. Newspapers.com), we know that accounts last for exactly one year from when they're created. As such, we could give users a one-month notice from their last application send date to tell them they might want to renew soon.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2018, 9:05 AM
Samwalton9 triaged this task as Normal priority.Oct 10 2018, 1:13 PM
Samwalton9 moved this task from Incoming tasks to Open tasks on the Library-Card-Platform board.

Code merged, but cron job for emails not running yet. Will be using django-cron when Docker work is complete.

Samwalton9 added a comment.EditedJun 13 2019, 10:17 AM

Docker is now integrated and django-cron is available. We can move ahead with adding a cron job for this at https://github.com/WikipediaLibrary/TWLight/blob/master/TWLight/crons.py

Samwalton9 moved this task from Done to Doing on the Library-Card-Platform board.Jun 13 2019, 10:18 AM
Samwalton9 moved this task from Doing to Done on the Library-Card-Platform board.Mon, Jun 24, 2:15 PM
Samwalton9 closed this task as Resolved.Wed, Jul 10, 2:05 PM